<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MmwDemoMemPool_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MmwDemoMemPool_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/data_path.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae4f4be6634c52934dc3b892d84bef1a3"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo_mem_pool__t.html#ae4f4be6634c52934dc3b892d84bef1a3">base</a></td></tr>
<tr class="separator:ae4f4be6634c52934dc3b892d84bef1a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ebf4e99421a8f3970d95cd9a8736bc9"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo_mem_pool__t.html#a0ebf4e99421a8f3970d95cd9a8736bc9">size</a></td></tr>
<tr class="separator:a0ebf4e99421a8f3970d95cd9a8736bc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f075e49d960e24d00764606811272d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo_mem_pool__t.html#aa7f075e49d960e24d00764606811272d">indx</a></td></tr>
<tr class="separator:aa7f075e49d960e24d00764606811272d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>simple memory pool structure for flexible partitioning of L3 RAM </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="ae4f4be6634c52934dc3b892d84bef1a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* MmwDemoMemPool_t::base</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>base address of memory </p>

</div>
</div>
<a class="anchor" id="aa7f075e49d960e24d00764606811272d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MmwDemoMemPool_t::indx</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>index into the pool to track where is next free </p>

</div>
</div>
<a class="anchor" id="a0ebf4e99421a8f3970d95cd9a8736bc9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MmwDemoMemPool_t::size</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>size of memory in bytes </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/<a class="el" href="data__path_8h.html">data_path.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
